MR-E-2 SDK

Public Member Functions | List of all members
MrE2ModuleSdk.Device.ISpi Interface Reference
Inheritance diagram for MrE2ModuleSdk.Device.ISpi:

## Public Member Functions
int | ReadSpiReadPointer0Address ()
| Returns the address of the register that will be used to update the read back bytes 4-7 in the slave response. More...
void | WriteSpiReadPointer0Address (int address)
| Sets the address of the register that will be used to update the read back bytes 4-7 in the slave response. More...
int | ReadSpiReadPointer1Address ()
| Returns the address of the register that will be used to update the read back bytes 8-11 in the slave response. More...
void | WriteSpiReadPointer1Address (int address)
| Sets the address of the register that will be used to update the read back bytes 8-11 in the slave response. More...
uint | ReadSystemTick ()
| Returns system tick. Register value is incremented by one at the controller frequency (10kHz). More...

## Member Function Documentation

## ◆ ReadSpiReadPointer0Address()

int MrE2ModuleSdk.Device.ISpi.ReadSpiReadPointer0Address | ( |  | ) |

Returns the address of the register that will be used to update the read back bytes 4-7 in the slave response.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadSpiReadPointer1Address()

int MrE2ModuleSdk.Device.ISpi.ReadSpiReadPointer1Address | ( |  | ) |

Returns the address of the register that will be used to update the read back bytes 8-11 in the slave response.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadSystemTick()

uint MrE2ModuleSdk.Device.ISpi.ReadSystemTick | ( |  | ) |

Returns system tick. Register value is incremented by one at the controller frequency (10kHz).

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ WriteSpiReadPointer0Address()

void MrE2ModuleSdk.Device.ISpi.WriteSpiReadPointer0Address | ( | int | address | ) |

Sets the address of the register that will be used to update the read back bytes 4-7 in the slave response.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ WriteSpiReadPointer1Address()

void MrE2ModuleSdk.Device.ISpi.WriteSpiReadPointer1Address | ( | int | address | ) |

Sets the address of the register that will be used to update the read back bytes 8-11 in the slave response.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

The documentation for this interface was generated from the following file:

- Device/MrE2SdkComDeviceController.cs